Last Comment Bug 732208 - [It's Tabzilla Time] Replace the grey tab with the new interactive white tab (MDN)
: [It's Tabzilla Time] Replace the grey tab with the new interactive white tab ...
Status: VERIFIED FIXED
u=user c=content p=1 s=2012-04-10 t=2...
:
Product: Mozilla Developer Network
Classification: Other
Component: Wiki pages (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: John Karahalis [:openjck]
:
:
Mentors:
https://github.com/mozilla/tabzilla
Depends on:
Blocks: 726830
  Show dependency treegraph
 
Reported: 2012-03-01 15:05 PST by mcbmoz
Modified: 2013-11-11 18:33 PST (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description mcbmoz 2012-03-01 15:05:03 PST
It's time to phase out the gray tab replace it with Tabzilla for *en-US* sites.

https://github.com/mozilla/tabzilla

Thanks! Please ping with questions!

Deadline end of Q1.
Comment 1 Luke Crouch [:groovecoder] 2012-03-01 18:10:02 PST
We'll plan during our next sprint, but we are deep in wiki migration work now. What's driving the Q1 deadline?
Comment 2 mcbmoz 2012-03-02 11:21:24 PST
(In reply to Luke Crouch [:groovecoder] from comment #1)
> We'll plan during our next sprint, but we are deep in wiki migration work
> now. What's driving the Q1 deadline?

Luke, the Mozilla tab is a core part of Mozilla's brandings, so much like a logo update, it's a living asset that needs to be maintained for the brand and the user experience.

A great benefit of the new tab however, has been that the sites included in the tab, like MDN, have seen a lift in traffic and a decrease in bounce rate. Each major mozilla.org asset shares a responsibility to help one another out and provide the best, most consistent user experience possible.

If you aren't able to get this complete in the next four weeks by the end of Q1, please let us know what the blockers are, if it's a resources problem, I will work with Stormy and Fred to ensure that we get you the help needed to activate the new tab.
Comment 3 Stormy Peters 2012-03-02 12:00:22 PST
We have a resource problem. :)

MDN is currently built on Mindtouch, a 3rd party software. It is giving us a *lot* of problems and error messages right now. And it's been getting worse. Luke & team are heads down trying to move us off of Mindtouch to our own platform so that MDN itself can be more stable. This is top priority for MDN. The longer we delay, the more problems we have with the old technology, the more troubleshooting we have to do and the less time we have to migrate off of it, so it's really important we continue to move on the migration.
Comment 4 mcbmoz 2012-03-02 13:24:02 PST
Stormy, understood. The mozilla.org & mozilla.org/firefox team is migrating to a new platform this quarter as well.

I've asked John to follow up on importance/branding, and defer to Fred to see if maybe Craig can pitch in and post a patch, since:

1.) the tab is already built and easily added to a website 
2.) he's familiar with both the tab and MDN's set up

What say you Wenzel? :-)
Comment 5 Craig Cook (:craigcook) 2012-03-02 13:38:14 PST
Tabzilla is easy to add, though we do have to do it in two places (the django app and the MindTouch skin). We should be able to do this in March.
Comment 6 James Socol [:jsocol, :james] 2012-03-02 13:41:09 PST
(In reply to Craig Cook from comment #5)
> Tabzilla is easy to add, though we do have to do it in two places (the
> django app and the MindTouch skin). We should be able to do this in March.

Hopefully Craig and pmac, who's time from Flux we're already stealing, can help us out here.
Comment 7 John Slater 2012-03-02 14:00:14 PST
Understood about the situation at MDN. If we can bring in Craig to help, though, I would really like to get this addressed sooner rather than later, as it would be a big win to bring MDN, as one of our major sites, into the Tabzilla fold.

Fred, Craig - do you guys feel comfortable committing to this?
Comment 8 Craig Cook (:craigcook) 2012-03-02 14:07:24 PST
I'm comfortable committing to it by the end of March.

My one concern is that MDN (the wiki part, anyway) has a liquid layout and Tabzilla currently doesn't play well with narrow windows. However, that's one of the tabzilla improvements already planned so we may be able to liquify tabzilla at the same time. I'll hook up with S.Garrity about working in some tabzilla fixes in the next few weeks.
Comment 9 Luke Crouch [:groovecoder] 2012-03-05 06:12:22 PST
Is it worth filing a "liquify Tabzilla" blocker bug to this one?

And just to emphasize the situation, we already need Craig's time on the wiki migration work too. bug 727277, bug 729657, bug 731651, bug 710733 are already in the design/frontend backlog for wiki migration.

I love Tabzilla - esp. if MDN can claim some of the promo space inventory! - and we should be flexible, but everyone needs to know what we're sacrificing for it.
Comment 10 James Socol [:jsocol, :james] 2012-03-05 07:03:59 PST
(In reply to John Slater from comment #7)
> Understood about the situation at MDN. If we can bring in Craig to help,
> though, I would really like to get this addressed sooner rather than later,
> as it would be a big win to bring MDN, as one of our major sites, into the
> Tabzilla fold.

(In reply to Luke Crouch [:groovecoder] from comment #9)
> And just to emphasize the situation, we already need Craig's time on the
> wiki migration work too. bug 727277, bug 729657, bug 731651, bug 710733 are
> already in the design/frontend backlog for wiki migration.

Tabzilla is a major win but we are on an external deadline for this move off of MindTouch, not to mention needing to get away for site stability reasons. This is the sort of thing that requires some other sacrifices to be made, and Tabzilla isn't a critical-path, site uptime or usability issue.

If we need the time Craig has for MDN to move off MindTouch, that's probably what he should spend time on. If we can get Tabzilla in there in the meantime, great, but I really don't think it should top any priority lists right now.
Comment 11 John Slater 2012-03-05 12:06:38 PST
Craig, how is your available time looking for all this?
Comment 12 Craig Cook (:craigcook) 2012-03-05 12:14:05 PST
Adding Tabzilla is no problem at all, it takes a matter of seconds to add a few lines of code. The only snag is the liquid layout, which is a Tabzilla design problem and doesn't really have to hold up implementation from our end. It would be nice to liquify Tabzilla as soon as possible but I don't think we need to block on it.
Comment 13 John Slater 2012-03-05 16:30:39 PST
Thanks Craig!
Comment 14 John Karahalis [:openjck] 2012-03-31 15:27:31 PDT
Working on this in my spare time.
Comment 15 John Slater 2012-03-31 16:41:34 PDT
Awesome - really appreciate it.
Comment 16 John Karahalis [:openjck] 2012-04-01 18:54:08 PDT
Forked Kuma and added this to the Django pages, which include the home page, the Demo Studio, the Dev Derby, special landing pages, and a few others. I'll take a look at adding Tabzilla to MindTouch (the actual documentation pages) next.

Craig, would you be able to review this pull request?
https://github.com/mozilla/kuma/pull/149

mcbmoz, does Tabzilla still only support en-US?
Comment 17 John Slater 2012-04-01 20:21:26 PDT
(In reply to John Karahalis [:openjck] from comment #16)
> mcbmoz, does Tabzilla still only support en-US?

Thanks John. FYI, Chrissie (mcbmoz) is no longer at Mozilla, but I can confirm that Tabzilla remains en-US only at the moment.
Comment 18 Craig Cook (:craigcook) 2012-04-09 18:02:28 PDT
Added to Mindtouch in r104054
Comment 19 raymond [:retornam] (needinfo? me) 2012-04-17 00:18:20 PDT
qa-verified https://developer-stage9.mozilla.org/en-US/
Comment 20 raymond [:retornam] (needinfo? me) 2012-04-19 02:36:13 PDT
verified fixed http://developer.mozilla.org/
Comment 21 John Slater 2012-04-19 12:48:43 PDT
Looks great, thanks guys!

Note You need to log in before you can comment on or make changes to this bug.